Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class InfoForm

    java.lang.Object
      org.eclipse.ui.texteditor.InfoForm

Deprecated. since 3.0. there is no replacement, use org.eclipse.ui.forms to define a component with a similar look and function.

    public class InfoForm

extends Object

A form consisting of a title, a banner, and an info text. Banner and info text are separated by a separator line. This form must be handled like an SWT widget.

Since:
  2.0

Constructor Summary
`InfoForm(Composite parent)` Deprecated. Creates a new info form.

Method Summary
`protected void` `createActionControls(Composite parent)` Deprecated. Hook method for creating an appropriate action control.
`Control` `getControl()` Deprecated. Returns the control of this form.
`protected void` `handlePropertyChange(PropertyChangeEvent event)` Deprecated. Handles the property change.
`void` `setBannerText(String banner)` Deprecated. Sets the banner text of this info form.
`void` `setHeaderText(String header)` Deprecated. Sets the header text of this info form.
`void` `setInfo(String info)` Deprecated. Sets the info of this info form

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoForm

    public InfoForm(Composite parent)

  Deprecated.
  Creates a new info form.

  Parameters:
    `parent` - the parent composite

Method Detail

### createActionControls

    protected void createActionControls(Composite parent)

  Deprecated.
  Hook method for creating an appropriate action control.

  Parameters:
    `parent` - the action control's parent control

### getControl

    public Control getControl()

  Deprecated.
  Returns the control of this form.

  Returns:
    the root control of this form

### setHeaderText

    public void setHeaderText(String header)

  Deprecated.
  Sets the header text of this info form.

  Parameters:
    `header` - the header text

### setBannerText

    public void setBannerText(String banner)

  Deprecated.
  Sets the banner text of this info form.

  Parameters:
    `banner` - the banner text

### setInfo

    public void setInfo(String info)

  Deprecated.
  Sets the info of this info form

  Parameters:
    `info` - the info text

### handlePropertyChange

    protected void handlePropertyChange(PropertyChangeEvent event)

  Deprecated.
  Handles the property change.

  Parameters:
    `event` - the property change event object describing which property changed and how

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.